require_relative 'required_files'

def store(var_name, value)
  $vars[var_name] = value
end

def store_json(var_name, value)
  $vars[var_name] = JSON.parse(value)
end

def store_text(element, var_name)
  found_element = find_object(element)
  element_text = found_element.text
  $vars[var_name] = element_text
end

def store_title(var_name)
  $vars[var_name] = $driver.title
end

def store_xpath_count(element, var_name)
  found_element = find_object(element)
  $vars[var_name] = found_element.length
end

def store_window_handle(var_name)
  $vars[var_name] = $driver.window_handle
end

def store_attribute(element, attribute, var_name)
  found_element = find_object(element)
  value = found_element.attribute(attribute)
  $vars[var_name] = value
end
