require_relative 'required_files'

def click(element)
  found_element = find_object(element)
  found_element.click
end

def click_at(element)
  found_element = find_object(element)
  found_element.click
end

def double_click(element)
  found_element = find_object(element)
  $driver.action.double_click(found_element).perform
end

def double_click_at(element, location)
  found_element = find_object(element)
  $driver.action.double_click(found_element).perform
end

def long_press(element, duration)
  found_element = find_object(element)
  parameters = { "element" => "#{found_element}", "duration" => "#{duration}" }
  args = parameters.select { |k, v| [:element, :duration].include? k }
  args = args_with_ele_ref(args)
  chain_method(:longPress, args)
end
